io.siddhi.extension.execution.streamingml.bayesian.classification

## Class BayesianClassificationUpdaterStreamProcessorExtension

- java.lang.Object
- - io.siddhi.core.query.processor.stream.AbstractStreamProcessor<S>
  - - io.siddhi.core.query.processor.stream.StreamProcessor<io.siddhi.extension.execution.streamingml.bayesian.classification.BayesianClassificationUpdaterStreamProcessorExtension.ExtensionState>
    - - io.siddhi.extension.execution.streamingml.bayesian.classification.BayesianClassificationUpdaterStreamProcessorExtension

- All Implemented Interfaces:
    io.siddhi.core.query.processor.Processor, io.siddhi.core.util.extension.holder.ExternalReferencedHolder

      public class BayesianClassificationUpdaterStreamProcessorExtension
      extends io.siddhi.core.query.processor.stream.StreamProcessor<io.siddhi.extension.execution.streamingml.bayesian.classification.BayesianClassificationUpdaterStreamProcessorExtension.ExtensionState>

  This feature has been removed due to the isuue at https://github.com/siddhi-io/siddhi-execution-streamingml/issues/75

- - ### Field Summary

    - ### Fields inherited from class io.siddhi.core.query.processor.stream.AbstractStreamProcessor

      `attributeExpressionExecutors, attributeExpressionLength, complexEventPopulater, inputDefinition, metaStreamEvent, nextProcessor, siddhiQueryContext, stateHolder, streamEventClonerHolder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BayesianClassificationUpdaterStreamProcessorExtension()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `io.siddhi.core.query.processor.ProcessingMode` | `getProcessingMode()`
    `List<io.siddhi.query.api.definition.Attribute>` | `getReturnAttributes()`
    `protected io.siddhi.core.util.snapshot.state.StateFactory<io.siddhi.extension.execution.streamingml.bayesian.classification.BayesianClassificationUpdaterStreamProcessorExtension.ExtensionState>` | `init(io.siddhi.core.event.stream.MetaStreamEvent metaStreamEvent, io.siddhi.query.api.definition.AbstractDefinition abstractDefinition, io.siddhi.core.executor.ExpressionExecutor[] attributeExpressionExecutors, io.siddhi.core.util.config.ConfigReader configReader, io.siddhi.core.event.stream.holder.StreamEventClonerHolder streamEventClonerHolder, boolean b, boolean b1, io.siddhi.core.config.SiddhiQueryContext siddhiQueryContext)`
    `protected void` | `process(io.siddhi.core.event.ComplexEventChunk<io.siddhi.core.event.stream.StreamEvent> complexEventChunk, io.siddhi.core.query.processor.Processor processor, io.siddhi.core.event.stream.StreamEventCloner streamEventCloner, io.siddhi.core.event.stream.populater.ComplexEventPopulater complexEventPopulater, io.siddhi.extension.execution.streamingml.bayesian.classification.BayesianClassificationUpdaterStreamProcessorExtension.ExtensionState extensionState)`
    `void` | `start()` This will be called only once and this can be used to acquire required resources for the processing element.
    `void` | `stop()` This will be called only once and this can be used to release the acquired resources for processing.

    - ### Methods inherited from class io.siddhi.core.query.processor.stream.StreamProcessor

      `processEventChunk`

    - ### Methods inherited from class io.siddhi.core.query.processor.stream.AbstractStreamProcessor

      `constructStreamEventPopulater, getNextProcessor, initProcessor, isStateful, process, process, setNextProcessor, setStreamEventCloner, setToLast`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BayesianClassificationUpdaterStreamProcessorExtension

          public BayesianClassificationUpdaterStreamProcessorExtension()

  - ### Method Detail

    - #### init

          protected io.siddhi.core.util.snapshot.state.StateFactory<io.siddhi.extension.execution.streamingml.bayesian.classification.BayesianClassificationUpdaterStreamProcessorExtension.ExtensionState> init(io.siddhi.core.event.stream.MetaStreamEvent metaStreamEvent,
                                                                                                                                                                                                                 io.siddhi.query.api.definition.AbstractDefinition abstractDefinition,
                                                                                                                                                                                                                 io.siddhi.core.executor.ExpressionExecutor[] attributeExpressionExecutors,
                                                                                                                                                                                                                 io.siddhi.core.util.config.ConfigReader configReader,
                                                                                                                                                                                                                 io.siddhi.core.event.stream.holder.StreamEventClonerHolder streamEventClonerHolder,
                                                                                                                                                                                                                 boolean b,
                                                                                                                                                                                                                 boolean b1,
                                                                                                                                                                                                                 io.siddhi.core.config.SiddhiQueryContext siddhiQueryContext)

      Specified by:
        `init` in class `io.siddhi.core.query.processor.stream.AbstractStreamProcessor<io.siddhi.extension.execution.streamingml.bayesian.classification.BayesianClassificationUpdaterStreamProcessorExtension.ExtensionState>`

    - #### process

          protected void process(io.siddhi.core.event.ComplexEventChunk<io.siddhi.core.event.stream.StreamEvent> complexEventChunk,
                                 io.siddhi.core.query.processor.Processor processor,
                                 io.siddhi.core.event.stream.StreamEventCloner streamEventCloner,
                                 io.siddhi.core.event.stream.populater.ComplexEventPopulater complexEventPopulater,
                                 io.siddhi.extension.execution.streamingml.bayesian.classification.BayesianClassificationUpdaterStreamProcessorExtension.ExtensionState extensionState)

      Specified by:
        `process` in class `io.siddhi.core.query.processor.stream.StreamProcessor<io.siddhi.extension.execution.streamingml.bayesian.classification.BayesianClassificationUpdaterStreamProcessorExtension.ExtensionState>`

    - #### start

          public void start()

      This will be called only once and this can be used to acquire required resources for the processing element. This will be called after initializing the system and before starting to process the events.

    - #### stop

          public void stop()

      This will be called only once and this can be used to release the acquired resources for processing. This will be called before shutting down the system.

    - #### getReturnAttributes

          public List<io.siddhi.query.api.definition.Attribute> getReturnAttributes()

      Specified by:
        `getReturnAttributes` in class `io.siddhi.core.query.processor.stream.AbstractStreamProcessor<io.siddhi.extension.execution.streamingml.bayesian.classification.BayesianClassificationUpdaterStreamProcessorExtension.ExtensionState>`

    - #### getProcessingMode

          public io.siddhi.core.query.processor.ProcessingMode getProcessingMode()

      Specified by:
        `getProcessingMode` in class `io.siddhi.core.query.processor.stream.AbstractStreamProcessor<io.siddhi.extension.execution.streamingml.bayesian.classification.BayesianClassificationUpdaterStreamProcessorExtension.ExtensionState>`

Copyright © 2022 WSO2. All rights reserved.